Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Build.Make Class Referencesealed
Inheritance diagram for Zwipe.Build.Build.Make:
[legend]
Collaboration diagram for Zwipe.Build.Build.Make:
[legend]

## Public Member Functions
override bool | Execute ()

## Properties
string | Executable`[get, set]`
ITaskItem[] | Projects`[get, set]`
string | Properties`[get, set]`

## Private Member Functions
string | GetProperties (ITaskItem project)
void | OnStandardOutputReceived (string text)
void | OnStandardErrorReceived (string text)
bool | Build (string fileName, string arguments, string workingDirectory=null)

## Static Private Attributes
const string | PhaseClean = "clean"
const string | ProjectItemPropertiesTag = "Properties"
const string | ProjectItemPhaseTag = "Phase"
const string | ProjectItemCleanTag = "Clean"

## Member Function Documentation

## ◆ Build()

bool Zwipe.Build.Build.Make.Build | ( | string | fileName,
|  | string | arguments,
|  | string | workingDirectory = null )
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ Execute()

override bool Zwipe.Build.Build.Make.Execute | ( |  | ) |

Here is the call graph for this function:

## ◆ GetProperties()

string Zwipe.Build.Build.Make.GetProperties | ( | ITaskItem | project | ) |
| private

Here is the caller graph for this function:

## ◆ OnStandardErrorReceived()

void Zwipe.Build.Build.Make.OnStandardErrorReceived | ( | string | text | ) |
| private

Here is the caller graph for this function:

## ◆ OnStandardOutputReceived()

void Zwipe.Build.Build.Make.OnStandardOutputReceived | ( | string | text | ) |
| private

Here is the caller graph for this function:

## Member Data Documentation

## ◆ PhaseClean

const string Zwipe.Build.Build.Make.PhaseClean = "clean"
| static private

## ◆ ProjectItemCleanTag

const string Zwipe.Build.Build.Make.ProjectItemCleanTag = "Clean"
| static private

## ◆ ProjectItemPhaseTag

const string Zwipe.Build.Build.Make.ProjectItemPhaseTag = "Phase"
| static private

## ◆ ProjectItemPropertiesTag

const string Zwipe.Build.Build.Make.ProjectItemPropertiesTag = "Properties"
| static private

## Property Documentation

## ◆ Executable

string Zwipe.Build.Build.Make.Executable
| get set

## ◆ Projects

ITaskItem [] Zwipe.Build.Build.Make.Projects
| get set

## ◆ Properties

string Zwipe.Build.Build.Make.Properties
| get set

The documentation for this class was generated from the following file:

- Zwipe.Build/Build/Make.cs